
pushd .
%~d0
cd %~dp0

set taskName=LBFOStart

echo Initiating the setup to delay the startup of the LBFO (MsLbfoProvider) service >> ".\service_start.log" 2>>&1

xcopy LBFOStart.ps1 "C:\Program Files\NEC\" /Y /I /R /H >> ".\service_start.log" 2>>&1

rem Registration of service startup tasks.
schtasks /create /tn %taskName% /tr "powershell -File \"C:\Program Files\NEC\LBFOStart.ps1\"" /sc onstart /ru system >> ".\service_start.log" 2>>&1

rem Change the startup condition of the LBFO service to "demand".
sc config MsLbfoProvider start= demand >> ".\service_start.log" 2>>&1

echo Completing the setup to delay the startup of the LBFO (MsLbfoProvider) service >> ".\service_start.log" 2>>&1
echo . >> ".\service_start.log" 2>>&1
popd
