pushd .
%~d0
cd %~dp0

set taskName=LBFOStart

echo Cancel the startup delay of the LBFO (MsLbfoProvider) service >> ".\service_start.log" 2>>&1

rem Deletion of service startup tasks
schtasks /delete /tn %taskName% /f >> ".\service_start.log" 2>>&1

rem Change the startup condition of the LBFO service to "auto"
sc config MsLbfoProvider start= auto >> ".\service_start.log" 2>>&1

echo The startup delay of the LBFO (MsLbfoProvider) service has been canceled >> ".\service_start.log" 2>>&1
echo . >> ".\service_start.log" 2>>&1
popd
